<?php

namespace App\Filament\Resources\FooterResource\Pages;

use App\Filament\Resources\FooterResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;
class EditFooter extends EditRecord
{
    protected static string $resource = FooterResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete footer')),
            Actions\ForceDeleteAction::make()
                ->visible(fn () => Gate::allows('force delete footer')),
            Actions\RestoreAction::make()
                ->visible(fn () => Gate::allows('restore footer')),
        ];
    }
}